afterstep (2.2.12-17.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 29 Jan 2024 22:50:04 +0000

afterstep (2.2.12-17) unstable; urgency=low

  * Make debian/scripts/move_spare_manpages read a list of binaries from
    debian/package.d files instead of checking for existence of file in the
    file system. This fixes binary-indep builds (closes: #1061295).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Jan 2024 00:07:32 +0100

afterstep (2.2.12-16) unstable; urgency=low

  [ Jeremy Bicha ]
  * Add 62-Adapt-to-gsd-342.patch to adapt the session file for GNOME 42.

  [ Robert Luberda ]
  * Update lintian overrides for mismatched tags and very long line lengths.
  * debian/scripts/fix_examples: Adjust build path and binary paths in example
    Makefile, basing on the patch from  Vagrant Cascadian (closes: #1037278).
  * debian/control:
    + fix obsolete (build-)dependencies: use libfreetype-dev instead of
      libfreetype6-dev, and libtiff-dev instead of libtiff5-dev (lintian);
    + replace dependency on removed aterm with rxvt-unicode (closes: #994868);
    + bump Standards-Version to 4.6.2.
  * Fix typo in DEB_LDFLAGS_MAINT_APPEND in debian/rules (closes: #1016382).
  * Drop Homepage field from debian/upstream/metadata (lintian).
  * Use 'command -v' instead of 'which' in debian/scripts/fix_conffiles.
  * Add 63-Fix-national-encoding.patch to fix two ISO-8859-1 files: one by
    simply recoding to UTF-8, and another one (scripts/Animate) by translating
    from French to English (lintian).
  * Add 64-Fix-gcc13-warnings.patch to fix a few warnings generated by gcc13.
  * Move spare manual pages from section 1x to 7x (lintian), and then put them
    into afterstep-data package.
  * Provide 'Build-Depends-Package' in symbols files for all installed
    libraries (lintian).
  * Remove superficial autopkgtests (lintian).
  * Update date in debian/copyright (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 21 Jan 2024 21:35:31 +0100

afterstep (2.2.12-15) unstable; urgency=medium

  * Add 60-Fix-FTBFS-ar-clq.patch to fix compilation with 'ar' from binutils
    2.36 (from experimental), that breaks backward compatibility by re-using
    the previously ignored 'l' specifier (see: #981072).
  * Add Bug-* fields into upstream/metadata file (lintian), update github
    links in other fields there to point to repository listed on afterstep's
    homepage.

 -- Robert Luberda <robert@debian.org>  Thu, 28 Jan 2021 09:27:07 +0100

afterstep (2.2.12-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.8.10-1, 1.6.6-1, 1.4-5, 1.4-
    3, 1.4-2.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Robert Luberda ]
  * Mark autopkgtest tests as superficial (closes: #969796).
  * Migrate to libfltk1.3-dev (closes: #974626).
  * Bump debhelper's compat level to 13.
  * Fix a few lintian warnings.
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Tue, 22 Dec 2020 17:58:04 +0100

afterstep (2.2.12-13) unstable; urgency=medium

  * Add 58-Switch-to-AC_TRY_COMPILE.patch for yet another cross compilation
    issue (closes: #908370). Thanks to Helmut Grohne.
  * Add 59-Spelling-typos.patch to fix a few typos found by lintian.
  * Switch to debhelper v12, and replace debian/compat with build dependency
    on debhelper-compat package.
  * Stop supporting ancient package version in maintainer scripts (lintian).
  * Add Build-Depends-Package field to symbol files (lintian).
  * Standards-Version: 4.4.1.

 -- Robert Luberda <robert@debian.org>  Mon, 11 Nov 2019 15:21:35 +0100

afterstep (2.2.12-12) unstable; urgency=medium

  * Bump debhelper's compat level to 11, and update debian/rules to make
    dh_autoreconf work.
  * No longer pass --dbgsym-migration option to dh_strip, as the migration
    from old afterstep-dbg package is complete (lintian).
  * Add two patches to hopefully fix cross compilation issues:
    + 55-Pass-host-to-sub-configure.patch from Helmut Grohne to pass the
      --host option to subprojects ./configure (closes: #899200);
    + 56-Fix-autotools-pkg-config.patch to replace AC_PATH_PROG macro for
      PKG_CONFIG with AC_PATH_TOOL macro (lintian).
  * New 57-Use-pkg-config-for-freetype.patch to use pkg-config (via macro)
    instead of freetype-config for freetype detection (closes: #887599).
  * Add lintian overrides for test.ttf.gz file shipped in libafterimage-dev's
    examples directory and for .../icons/normal/License file that is not a
    piece of documentation, but an icon.
  * Provide simple testsuite for autopkgtest to check installability of the
    binary packages (lintian).
  * Add DEP12 upstream metadata file (lintian).
  * debian/control:
    + switch to non-transitional packages in relationships:
        gnome-themes-standard -> gnome-themes-extra (closes: #892034),
        libtiff-dev -> libtiff5-dev;
    + add dependencies on sensible-utils (lintian);
    + set Rules-Requires-Root to `no';
    + drop ancient Breaks/Replaces;
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Fri, 31 Aug 2018 09:16:24 +0200

afterstep (2.2.12-11.1) unstable; urgency=medium

  * Non-maintainer upload
  * Adjust 54-Adapt-to-gsd-324.patch for dropped plugin in
    gnome-setttings-daemon 3.28 (Closes: #892003)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 07:59:48 -0400

afterstep (2.2.12-11) unstable; urgency=medium

  * Add 54-Adapt-to-gsd-324.patch from Jeremy Bicha to update the gnome-session
    file for gnome-settings-daemon 3.24 (closes: #869938).
  * Update 53-Spelling-typos.patch with a new typo found by lintian.
  * Remove build-dependency on autotools-dev (lintian).
  * Standards-Version: 4.0.1:
    + remove menu file, as afterstep provides desktop file.
    + add lintian overrides for `postinst/postrm has useless calls
      to update-meus', because lintian fails to notice the ucf-managed
      afterstep.menu-method file.

 -- Robert Luberda <robert@debian.org>  Mon, 07 Aug 2017 21:48:54 +0200

afterstep (2.2.12-10) unstable; urgency=medium

  * Enable the `pie' hardening option (closes: #865594).
  * Bump debhelper's compat level to 10 and switch to dh_missing from
    `dh_install --fix-missing'.
  * Remove usage of dpkg-parsechangelog from debian/rules (lintian).
  * Add support for DEB_BUILD_OPTIONS/DEB_BUILD_PROFILES=nodoc; this requires
    the latest debhelper.
  * Add a lintian override for misspelled config option name.
  * Create debian/*.symbols files (lintian).
  * Pass `--user-dir' to ASDocGen to avoid creation of .afterstep directory in
    build user's $HOME.
  * Add build-dependency on libncurses-dev in order to enable readline library
    in WinCommand.
  * Standards-Version: 4.0.0.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Jul 2017 14:35:15 +0200

afterstep (2.2.12-9) unstable; urgency=medium

  * Configure without gnome-session, as neither most of the display managers
    can split session's Exec line on spaces, nor the /etc/X11/Xsession script
    can handle multiple arguments (closes: #850647).
  * Add 52-Remove-iceweasel.patch to remove iceweasel and iceape from wharf
    config file.
  * Add 53-Spelling-typos.patch to fix more typos caught by lintian.
  * Drop unused linitian overrides.
  * Switch Vcs-Git to https and Vcs-Browser to cgit.
  * Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 24 Jan 2017 22:30:34 +0100

afterstep (2.2.12-8) unstable; urgency=medium

  * Remove `Multi-Arch: no' as dak does not permit this (see: #816213).
  * Add 51-Warning.patch to fix implicit function declaration warning.

 -- Robert Luberda <robert@debian.org>  Tue, 01 Mar 2016 23:05:53 +0100

afterstep (2.2.12-7) unstable; urgency=medium

  * Add 49-Reproducible-FAQ.patch to ensure the FAQ file is generated
    in the correct order.
  * Update 47-Add-build-date-to-ASDocGen.patch to fix a warning
    introduced there.
  * debian/rules: Enable all hardening options except for a -pie.
  * Replace afterstep-dbg package with the autogenerated dbgsym packages.
  * Add 50-Spelling-typos.patch to fix various typos caught by lintian.
  * debian/control:
    + mark the -dev package as `Multi-Arch: no' because of the config
      scripts included in the package (lintian);
    + mark other packages as `Multi-Arch: same' or `foreign';
    + recommend gnome-themes-standard instead of removed gnome-themes;
    + use https in Vcs-Browser field;
    + Standards-Version: 3.9.7 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Feb 2016 07:34:50 +0100

afterstep (2.2.12-6) unstable; urgency=medium

  * Apply the following patches from Juan Picca (closes: #785774):
    + 47-Add-build-date-to-ASDocGen.patch: add --build-date flag
      that expects an unix time (integer) and use it for timestamps
      in generated files (documentation).
    + 48-Make-build-reproducible.patch: modify Makefile.in by adding
      the variable ASDOCGENOPTS to the command line of ASDocGen.
    + debian/rules: get the unix time from the changelog file and set
      the variable ASDOCGENOPTS.

 -- Robert Luberda <robert@debian.org>  Sun, 31 May 2015 15:03:10 +0200

afterstep (2.2.12-5) unstable; urgency=medium

  * Upload to unstable.
  * Switch debian/copyright to DEP-5 format.

 -- Robert Luberda <robert@debian.org>  Sun, 17 May 2015 12:03:05 +0200

afterstep (2.2.12-4) experimental; urgency=medium

  * New patches:
    + 44-Fix-build-with-gcc-5: fix gcc-5 compilation issues, mostly related
      to usage of the `inline' keyword in header files (closes: #777768);
    + 45-Fix-libAfterBase-Makefile: do not try to install scripts owned by
      libAfterImage from libAfterBase Makefile;
    + 46-Show-compiler-flags to make build log scanner happier.
  * Stop linking /usr/share/doc/afterstep to afterstep-data (closes: #766795):
    + revert ${misc:Depends} change introduced in previous version;
    + use maintscript helper to turn /u/s/d/afterstep into directory;
    + install the documentation files in the above directory, but leave html
      docs in afterstep-data with a symlink from afterstep.
  * Add build-dependency on gnome-session-bin to make sure Afterstep.desktop
    files are actually installed.
  * Install ascolor and ASMount binaries; write simple man pages for them.
  * Refactor debian/rules and simplify build process:
    + remove arch/indep selection logic based on missing build dependencies,
      as auto-builders seem to properly call the %-arch targets nowadays;
    + recompile libAfterBase and libAfterImage only for static builds;
    + call upstream Makefiles with SHELL='/bin/sh -e' not to ignore errors;
    + add support for cross-compiling;
    + enable LFS support (lintian);
    + set CXX and CXXFLAGS variables, as ascolor contains some c++ sources;
    + make sure gen_debhelper_files.pl always acts on all packages, and add
      `--fail-missing' do dh_install call in debian/rules;
    + remove update-alternative calls from maintainer scripts, use the
      dh_installwm comman instead.

 -- Robert Luberda <robert@debian.org>  Sat, 28 Mar 2015 17:38:28 +0100

afterstep (2.2.12-3) unstable; urgency=medium

  * Depend on fonts-freefont-ttf instead of ttf-freefont (closes: #738166).
  * Add 41-Fix-Functions.html-garbage.patch to fix null bytes in Function.html
    file generated by ASDocGen (closes: #757328).
  * Add 42-Disable-FollowTitleChanges.patch (closes: #441897).
  * Add 43-Fix-gcc-warning.patch to fix `undefined behaviour' warning.
  * Remove ${misc:Depends} from afterstep dependencies to work around
    debhelper's bug#766711.
  * Standards-Version: 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sat, 25 Oct 2014 22:17:48 +0200

afterstep (2.2.12-2) unstable; urgency=low

  * New patches:
    + 39-Fix-parallel-builds to fix FTBFS on builders;
    + 40-Fix-few-gcc-warnings with warnings fixes.

  * Apply patch from Ubuntu to depend/build-depend on libtiff-dev rather than
    libtiff4-dev.
  * Remove libgif-dev dependencies, as builtin ungif library is used instead.

 -- Robert Luberda <robert@debian.org>  Thu, 19 Sep 2013 01:07:11 +0200

afterstep (2.2.12-1) unstable; urgency=low

  * New upstream version:
    + afterstep.desktop no longer contains "NoDisplay=true" (closes: 703987);
    + The following patches removed (applied by upstream):
        01-makeasclean        11-afterstep-scripts    13-afterstep-feels
        19-FTBFS-alpha        20-postcard             21-asapp
        28-Msg-typo           29-Spelling-typos       33-Locale-parse
        36-Translation-PL     37-Spelling-typos-2     38-Debug-instructions
        39-FTBFS-libpng1.5    25-Implicit-pointer-conversion
        26-gcc-pointer-warnings               27-winlistconfigclass-mips
        31-Cached-menu-pixmaps                34-Unknown-folderref-crash
        35-UTF8-desktop-by-default

  * Introduce the following patches:
    + 36-Spelling-typos to fix typos found by lintian;
    + 37-Fix-crash-with-debugging-enabled to fix a crash occurring in
      case --enable-debug is passed to configure script;
    + 38-Disable-handling-pending-events to fix initial appereance
      of WinList, Wharf and Pager modules on display.

  * Apply two patches from the upstream git repository:
    + readded-Propaganda-submenu-with-new-location (upstream commit 4f4ac161b);
    + Fixed-bug-starting-modules-on-multi-display-setup-adding
     (upstream commit 06f472584);

  * Standards-Version: 3.9. 4 (no changes).
  * Remove unused lintian override.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Sep 2013 21:05:01 +0200

afterstep (2.2.11-7) unstable; urgency=low

  * Enable CPPFLAGS hardening flags (closes: #662255).
  * Standards-Version: 3.9.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 25 Mar 2012 20:08:18 +0200

afterstep (2.2.11-6) unstable; urgency=low

  * Bump afterstep-data's Replaces on afterstep from <= 2.2.9-5 to <= 2.2.11,
    and add Breaks: afterstep (<= 2.2.11) (closes: #655679, #655736).

 -- Robert Luberda <robert@debian.org>  Tue, 17 Jan 2012 23:25:50 +0100

afterstep (2.2.11-5) unstable; urgency=low

  * 39-FTBFS-libpng1.5.patch: Fix FTBFS with libpng1.5 (closes: #649970).
  * Remove .pc/.dpkg-source-unapply file in rules.  This fixes broken
    behaviour of dpkg-buildpackage (see Bug#649521).
  * Rename and refresh patches with gbp-pq import/export.
  * Switch to debhelper v9. Made changes necessary for multi-arch support,
    introduced in debhelper v9.
  * Convert /usr/share/doc/afterstep into symlink in postinst script.
  * debian/control:
     + add VCS fields;
     + Build-Depend on libpng-dev instead on libpng12-dev;
     + make libafterimage-dev depend on `libpng-dev | libpng12-dev';
     + add Pre-Depends: ${misc:Pre-Depends} lines.
     + set Standards-Version to 3.9.2.

 -- Robert Luberda <robert@debian.org>  Sat, 03 Dec 2011 22:36:40 +0100

afterstep (2.2.11-4) unstable; urgency=low

  * Make libafterimage-dev depend on libjpeg-dev instead of libjpeg62-dev
    (closes: #629958).
  * Standards-Version: 3.9.2 (no changes).
  * Drop build dependency on fl-cow to fix FTBFS on hurd.
  * Rewrite debian/rules for the debhelper `tiny' format.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Jun 2011 12:23:38 +0200

afterstep (2.2.11-3) unstable; urgency=low

  * Switch to using menu-xdg for generating Debian menus:
    + add dependency on menu-xdg;
    + afterstep.menu-method: generate menu based on menu-xdg's method output;
    + debian/rules: don't remove upstream provided menu, which means both
      upstream & Debian menus will be visible.

  * 32_menu-xdg-location.patch: Add location of desktop files generated by
    menu-xdg.
  * 33_locale_parse.patch: Match Name[xx]/Comment[xx] sections from desktop
    files with xx_YY locales.
  * 34_unknown_folderref_crash.patch: Fix a segmentation fault that occurs
    on unknown FolderReferences entries;
  * 35_utf8_desktop_bydefault.patch: Assume that desktop files are UTF-8
    encoded unless different encoding is expicitely specified.
  * 36_translation_pl.patch: Translate desktop categories into Polish.
  * 37_spelling_typos2.patch: Fix a spelling typos found by lintian 2.5.0~rc1.
  * 38_debug_instructions.patch: Fix debug instructions given on segfaults
    (closes: #616453).

  * debian/control:
    + sort dependency fields with wrap-and-sort from the ubuntu-dev-tools
      package;
    + recommed gnome-themes package as afterstep makes use of clearlooks
      theme provided by the package.
  * Update the NEWS file.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 20:39:25 +0100

afterstep (2.2.11-2) unstable; urgency=low

  * Upload to unstable.
  * After purging configuration files,  remove any empty parent directories
    left on the system. This fixes uninstallation problem found by piuparts.
  * Don't suggest wmavgload and wmtop packages, which are no longer available.
  * Add build dependency on libdbus-1-dev.
  * Stop shipping historical md5sums for ucf.
  * debian/rules:
    + call dpkg-buildflags for initial value of CFLAGS and LDFLAGS;
    + add build-indep and build-arch targets;
    + split the build process between arch and indep targets;
    + pass --with-dbus1 to configure.
  * 00_Makefile_and_configure.patch:
    + make install.data target recursive;
    + use USER_LD_FLAGS for linking libraries to make sure that LDFLAGS
      from debian/rules are actually applied.

 -- Robert Luberda <robert@debian.org>  Fri, 11 Feb 2011 08:20:44 +0100

afterstep (2.2.11-1) experimental; urgency=low

  * New upstream release.
  * Split afterstep into afterstep and afterstep-data as suggested by
    lintian's `arch-dep-package-has-big-usr-share' tag.
  * Provide debugging symbols in new afterstep-dbg package.
  * Add 31_cached_menu_pixmaps.patch to cache thumbnail images under
    ~/.afterstep/debian to speed up afterstep loading.
  * Rename 11_afterstep_feels.patch into 13_afterstep_feel.patch.
  * Switch to 3.0 (quilt) source format, drop dbs from debian/rules
    and build dependencies (closes: #576063).
  * Bump debhelper compat level to v8.
  * Standards-Version: 3.9.1:
    + use Breaks instead of Conflicts on aterm;
    + remove outdated Conflicts with libafterstep0.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 21:23:43 +0100

afterstep (2.2.9-5) unstable; urgency=low

  * 29_spelling_typos.patch: Fix various spelling typos both in documentation
    and programs found by lintian.
  * 30_menu_progress_display.patch: Make the progress screen less verbose by
    displaying a line of dots instead of menu names.
  * Split 19_ftbfs_alpha.patch out of 21_asapp.patch.
  * Add simple descriptions for all patches.
  * Minor fixes in build process, use fl-cow for builds.
  * Add a menu pixmap.
  * Build depend on libjpeg-dev instead of libjpeg62-dev.
  * Remove asterisks from NEWS file (lintian).
  * Fix spelling error in copyright (lintian).
  * Set source package format to 1.0.
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 24 Mar 2010 08:09:31 +0100

afterstep (2.2.9-4) unstable; urgency=low

  * Build with readline 6.
  * 28_msg_typo.patch: fix a typo.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Sep 2009 19:55:55 +0200

afterstep (2.2.9-3) unstable; urgency=low

  * 26_gcc_pointer_warnings.patch: fix some gcc warnings related to pointer
    conversions.
  * 27_winlistconfigclass_mips.patch: fix FTBFS on mips/mipsel.
  * 00_Makefile_and_configure.patch: make compilation fail on first error.
  * Fix lintian's duplicate long description warning.
  * Add a simple man pages for afterimage-config & afterimage-libs.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 02 Sep 2009 08:28:33 +0200

afterstep (2.2.9-2) unstable; urgency=low

  * Made libafterimage0 conflict with aterm, which got broken by upstream's
    ABI change  (closes: #537548).
  * Added 25_implicit_pointer_conversion.patch to fix possible segfault
    on 64-bit archs (closes: #537763).

 -- Robert Luberda <robert@debian.org>  Mon, 20 Jul 2009 23:36:12 +0200

afterstep (2.2.9-1) unstable; urgency=low

  * New upstream release.
  * 25_Pager.patch: removed, included upstream.
  * Turn on --enable-savewindows and --enable-fixeditems configure options
    (closes: #505508).
  * Remove xbase-clients dependency (closes: #474676).
  * Change debhelper compat mode to 7.
  * Rename debian/README.build to debian/README.source.
  * Standards-Version: 3.8.2.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Jul 2009 14:38:27 +0200

afterstep (2.2.8-2) unstable; urgency=low

  * 25_Pager.patch: new patch from upstream to fix a problem with Pager
    swallowed in Wharf.

 -- Robert Luberda <robert@debian.org>  Wed, 26 Mar 2008 00:01:37 +0100

afterstep (2.2.8-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Tue, 18 Mar 2008 21:23:45 +0100

afterstep (2.2.7-2) unstable; urgency=low

  * Build with libgif-dev instead of libungif4-dev (closes: #459904).
  * Bump debhelper compat version to 6.
  * Standards-Version: 3.7.3.
  * Move url from Description to Homepage field.
  * Don't suggest bitchx, which was removed from Debian.
  * debian/README.build: describe steps needed for preparing patches.
  * Update doc-base files' sections.
  * Update 00_Makefile_and_configure.patch: fixes to quiet dpkg-shlibdeps
    warnings.
  * 24_AsDocGen_man.patch: fix problems found by lintian in generated man
    pages.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Feb 2008 00:25:51 +0100

afterstep (2.2.7-1) unstable; urgency=low

  * New upstream version.
  * Correct section in the menu file (lintian).

 -- Robert Luberda <robert@debian.org>  Mon, 10 Sep 2007 20:50:44 +0200

afterstep (2.2.6-2) unstable; urgency=low

  * Add dependancy on librsvg2-dev to libafterimage-dev (closes: #428156).
  * Use ${binary:Version} instead of ${Source-Version} (lintian).

 -- Robert Luberda <robert@debian.org>  Fri, 29 Jun 2007 08:46:07 +0200

afterstep (2.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Fri, 25 May 2007 21:39:01 +0200

afterstep (2.2.5-2) unstable; urgency=low

  * Fix broken name of the menu-method file introduced in last version.

 -- Robert Luberda <robert@debian.org>  Sun, 13 May 2007 21:51:35 +0200

afterstep (2.2.5-1) unstable; urgency=low

  * New upstream version.
  * Include upstream's MMX patch.
  * fix_conffiles: remove *.ucf-{old,new,dist} instead of
    *.dpkg-{old,new,dist,tmp} on purge.
  * Register config files with ucfr.

 -- Robert Luberda <robert@debian.org>  Sat, 12 May 2007 00:12:55 +0200

afterstep (2.2.4-2) unstable; urgency=low

  * Upload to unstable.
  * 12_afterstep_configs: Fix minor typo in wharf config file.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Apr 2007 22:14:33 +0200

afterstep (2.2.4-1) experimental; urgency=low

  * New upstream version (closes: #397415).
    The following bugs should be fixed in this version:
    + windows disapper bug (closes: #295126),
    + windows priority problem (closes: #324835).
  * Add build-dependency on librsvg2-dev.
  * Pass the `--as-needed' flag to linker.

 -- Robert Luberda <robert@debian.org>  Sun,  4 Feb 2007 10:37:31 +0100

afterstep (2.2.2-2) unstable; urgency=low

  * Add several missing dependencies to libafterimage-dev: libfreetype6-dev,
    libsm-dev, libice-dev, libxext-dev, freeglut3-dev, libungif4-dev
    (closes: #384575).

 -- Robert Luberda <robert@debian.org>  Sun, 27 Aug 2006 23:40:40 +0200

afterstep (2.2.2-1) unstable; urgency=low

  * New upstream version.
  * afterstep.menu-method: provide removemenu entry (closes: #358034).
  * 11_afterstep_feels.patch: feel.Debian - call "Move-or-Top" when clicking
    the second mouse button on the bottom window bar
  * 23_remove_tools_suffix.patch: remove the '.pl' suffix from makeastheme,
    installastheme and ascommand as required by the Policy.
  * debian/watch: fix regexp.
  * Bump Standards-Version to 3.7.2
  * Add build dependency on sharutils, needed for uudecode.

 -- Robert Luberda <robert@debian.org>  Mon, 29 May 2006 21:00:28 +0200

afterstep (2.2.1-1) unstable; urgency=low

  * New upstream version.
  * Switch build system to dbs.
  * Use debhelper v5 compat mode.
  * Generate most of the debian/* files from packages.d/*.in.in using
    dbs_split.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Mar 2006 20:04:07 +0100

afterstep (2.2.0-1) unstable; urgency=low

  * New upstream version.
  * Remove circular dependency on afterstep from libafterstep1
   (closes: #341015).
  * Include Debian logo in menu.
  * afterstep.menu-method:
    + update path for install-menu program (lintian)
    + simplify the prerun script and update order of find options in the postrun
      script.
  * Add libreadline5-dev to build-depends.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Jan 2006 13:57:55 +0100

afterstep (2.1.2-3) unstable; urgency=low

  * Try to fix FTBFS on alpha by not using the alpha_header.h file.
  * fix_conffiles: ucf may not be installed when at the purge time
    (closes: #325905).
  * afterstep.menu-method: Recreate our /var/lib/afterstep/menu directory,
    and and the mindepth option to find call  not to remove the directory
    in case there're no menu files installed (closes: #316400)/

 -- Robert Luberda <robert@debian.org>  Mon,  3 Oct 2005 23:23:56 +0200

afterstep (2.1.2-2) unstable; urgency=low

  * Remove libASGTK.so from libafterimage0 (closes: #323902).
  * Don't suggest nonexistent package asload.

 -- Robert Luberda <robert@debian.org>  Fri, 19 Aug 2005 18:46:55 +0200

afterstep (2.1.2-1) unstable; urgency=low

  * New upstream version.
  * Add libxinerama-dev and libgtk2.0-dev to build-dependencies.
  * libafterimage1: include new libASGTK.so library.
  * Fix syntax of the trailer lines of the oldest entries in this changelog
    just to make lintian happy.
  * Bump to Standars-Version: 3.6.2

 -- Robert Luberda <robert@debian.org>  Wed, 17 Aug 2005 22:12:09 +0200

afterstep (2.1.1-2) unstable; urgency=low

  * Upload to unstable.
  * Manage configuration files with ucf.
  * Remove outdated (pre-woody) hooks from maintainer scripts.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Jun 2005 21:48:18 +0200

afterstep (2.1.1-1) experimental; urgency=low

  * New upstream version.

 -- Robert Luberda <robert@debian.org>  Mon,  6 Jun 2005 20:56:47 +0200

afterstep (2.1.0-1) experimental; urgency=low

  * New upstream version.
  * Renamed libafterstep0 to libafterstep1.

 -- Robert Luberda <robert@debian.org>  Sat,  4 Jun 2005 09:09:15 +0200

afterstep (2.00.05-1) experimental; urgency=low

  * New upstream version; upload to experimental since there's no
    possibility for this version to go to sarge ;(.
  * Updated feel.Debian.
  * We've Eterm, not eterm in Debian - update config files appropriately.
  * afterstep/wharf: remove --title, -g, +sb options from the ExecInTerm
    lines, because they may not be supported by all xterminal emulators.
  * Base.c: add x-terminal-emulator as a first choice for TermCommand.

 -- Robert Luberda <robert@debian.org>  Sun,  8 May 2005 23:21:35 +0200

afterstep (2.00.04-3) unstable; urgency=medium

  * Tweak feel.Debian settings:
    + commented out CenterOnCirculate as it does not work well yet.
    + also disabled AutoTabThroughDesks - it seems to be too annoying.
  * Use x-terminal-emulator instead of aterm in feel.DEFAULT.
  * ASDocGen.c: minor fix for the geneated man pages.
  * afterstep.doc-base.*: add authors info.
  * Updated URL in the copyright file.

 -- Robert Luberda <robert@debian.org>  Wed,  6 Apr 2005 23:31:12 +0200

afterstep (2.00.04-2) unstable; urgency=medium

  * src/afterstep/pager.c: Apply patch from the upstream CVS to fix problem
    with root background picture not being refreshed after change.
  * Pass --with-ungif to configure and add build-depends on libungif4-dev
    to compile with Debian provided ungif library instead of the builtin one.
  * docfile.c: correct 'Main index' link in libafterimage-dev html
    documentation pages.

 -- Robert Luberda <robert@debian.org>  Thu, 31 Mar 2005 22:45:56 +0200

afterstep (2.00.04-1) unstable; urgency=medium

  * New upstream version:
    + Fixes shared memory leaks (closes: #298728). Note, this only works
      correctly, when one uses the Quit button or menu entry to exit afterstep.
      When one kills their X session e.g. by pressing CTRL+ALT+BackSpace,
      afterstep is given no chances to free the shared memory.
    + Should build on amd64 with gcc-4.0 (closes: #299604).

  * Update doc-base file for the updated (but not yet finished) afterstep FAQ.
  * Make symlinks from /usr/share/afterstep/non-configurable/* to appropriate
    files.
  * Remove look.Debian, it was just the same as look.DEFAULT.
  * Minor tweaks in the wharf config file.
  * NEWS.Debian: yet another update for users upgrading from pre-2.0 versions.
  * Update README.Debian.
  * debian/control: remove Recommends: wmavgload, and suggests a few packages
    referred in the default wharf configuration file.
  * Modify debian/rules to pass --enable-debug to configure when the package
    version contains `dbg' string (so this version is compiled with

 -- Robert Luberda <robert@debian.org>  Wed, 23 Mar 2005 23:14:58 +0100

afterstep (2.00.03dfsg-1) unstable; urgency=high

  * Replace a non-free font included the source package with a free one,
    taken from upstream CVS (closes: #298965).
  * Add dependency on ttf-freefont and create symlinks to appropriate fonts
    installed by that package instead of including their copy in the
    afterstep binary package.
  * Add dependency on aterm|x-terminal-emulator.
  * xmlproc.c: fix minor bug in the procedure that generates man pages.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2005 21:09:46 +0100

afterstep (2.00.03-1) unstable; urgency=medium

  * New upstream version:
    + DefaultGeometry should work now (closes: #294529).

  * debian/rules: remove --disable-send-postcard-to-developer from configure,
    as afterstep will now prompt user before sending postcard to developer.
  * Minor changes in postcard support:
    + debian/rules: install postcard.sh in /u/s/a/tools, not in /usr/bin.
    + libAfterStep/session.c:
       - update postcard.sh path,
       - use x-terminal-emulator instead of xterm,
       - don't spawn x-terminal if .postcard file does not exist.
  * afterstepdoc.in: don't display the outdated FAQ, but the afterstep 2.0
    documentation (like in upstream version).
  * autoexec.in: enable the WinList module.
  * Add build time dependancy on freeglut3-dev.
  * Update look.Debian from look.DEFAULT.

 -- Robert Luberda <robert@debian.org>  Thu,  3 Mar 2005 23:04:45 +0100

afterstep (2.00.02-4) unstable; urgency=medium

  * Fix configure not to strip CFLAGS when setting NO_DEBUG_OUTPUT.

 -- Robert Luberda <robert@debian.org>  Mon, 21 Feb 2005 21:33:46 +0100

afterstep (2.00.02-3) unstable; urgency=medium

  * asapp.c, afterstep.c: Revert the previous patch and use putenv() for
    setting DISPLAY instead. The patch caused afterstep not to propagate
    some afterstep-added environment variables like ICON_PATH, breaking
    e.g. the Banner module.
  * Hack configures, Makefiles and debian/rules to make the build process
    complying with the Policy:
      + build shared libraries with -fPIC flag and the static ones without it
      + make DEB_BUILD_OPTIONS=noopt,nostrip work.
  * pager.in: remove Debian change in PagerRows setting. Now pager is placed
    vertically, not horizontally, just like in upstream version.
  * Install ascompose man page.
  * Write man pages for Ident and Banner modules, base on the old ones.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Feb 2005 23:40:04 +0100

afterstep (2.00.02-2) unstable; urgency=medium

  * asapp.c, afterstep.c: patch from upstream CVS to fix window
    manager restart issue (closes: #289140).
  * debian/rules: configure with --disable-send-postcard-to-developer
    (closes: #292551).
  * menu-method: remove outputlanguage setting (closes: #289144).

 -- Robert Luberda <robert@debian.org>  Fri, 28 Jan 2005 19:35:00 +0100

afterstep (2.00.02-1) unstable; urgency=medium

  * New upstream version:
    + correct behaviour of ClickToRaise option (closes: #288392).
    + problem with openning some applications shold be fixed too
      (closes: #286963).
  * menu-method: set outputencoding and outputlanguage (closes: #289144).
  * debian/control: lowercase first letter of synopsis (lintian).

 -- Robert Luberda <robert@debian.org>  Fri, 21 Jan 2005 19:38:31 +0100

afterstep (2.00.01-4) unstable; urgency=high

  * debian/rules: configure with --disable-mmx-optimization, so
    the package works on older machines (closes: #288153).
  * wharf: fix afterstep restat issue (from upstream CVS).
  * Makefile.in: Install Afterstep.desktop into /usr/share/xsessions.
  * Updated NEWS.Debian file for users upgrading from woody.

 -- Robert Luberda <robert@debian.org>  Thu,  6 Jan 2005 18:15:50 +0100

afterstep (2.00.01-3) unstable; urgency=low

  * Apply a few fixes from upstream's CVS:
    + src/afterstep/icons.c:
      -  Fixed segfault bug in iconification code when StickyIcons
         are disabled.
      -  Minor fixes to iconbox handling.
    + afterstep/start/5_Quit/3_restartsession:
      -  get quit->restartsession do what it's supposed to.
  * Update debian/copyright file.
  * Minor fixes in wharf & pager configuration files.
  * afterstep.postinst: on upgrade remove old configuration files
    from /etc/X11/afterstep unless they were modified.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Dec 2004 12:43:01 +0100

afterstep (2.00.01-2) unstable; urgency=low

  * Do not include html-catalogue of installed files in
    the binary package, it's about 5MB of unnecessary data!
  * Install /usr/bin/Ident module.
  * Remove menu entries referring to missing modules.
  * Update feel.Debian & look.Debian files.
  * Fix libafterimage-dev examples, so they actually compile.
  * Other minor fixes.

 -- Robert Luberda <robert@debian.org>  Sat,  4 Dec 2004 16:52:44 +0100

afterstep (2.00.01-1) unstable; urgency=low

  * New upstream stable version.
  * This version if stable enough for Debian/unstable, I think :)
  * debian/control: remove build dependency on xlibs-dev, use
    libxt-dev instead.

 -- Robert Luberda <robert@debian.org>  Sat,  4 Dec 2004 14:26:16 +0100

afterstep (2.00.00-1) experimental; urgency=low

  * New upstream stable version.
  * Changed URL in debian/watch file

 -- Robert Luberda <robert@debian.org>  Fri, 22 Oct 2004 21:40:17 +0200

afterstep (1.99.0+2.00.beta5-3) experimental; urgency=low

  * Update feel.Debian and look.Debian files.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Oct 2004 09:22:26 +0200

afterstep (1.99.0+2.00.beta5-2) experimental; urgency=low

  * Install ascompose (again!).

 -- Robert Luberda <robert@debian.org>  Sun,  5 Sep 2004 20:41:27 +0200

afterstep (1.99.0+2.00.beta5-1) experimental; urgency=low

  * New upstream version (2.00.beta5).
  * Updated dependencies for libttif4.
  * Install API man pages into libafterimage-dev.
  * debian/rules: use config.{guess,sub} files provided by autotools-dev
    package.
  * Updated debian/watch to version 2.

 -- Robert Luberda <robert@debian.org>  Sun, 29 Aug 2004 21:39:09 +0200

afterstep (1.99.0+2.00.beta4b-1) experimental; urgency=low

  * New upstream version (2.00.beta4b).
  * debian/afterstep.menu: quote all strings (lintian).
  * Install ascompose, needed for the new Banner module.

 -- Robert Luberda <robert@debian.org>  Thu, 18 Mar 2004 08:15:26 +0100

afterstep (1.99.0+2.00.beta3-1) experimental; urgency=low

  * New upstream version (2.00.beta3).
  * libAfterImage/configure*: fix libfreetype tests so they acctually find
    the freetype library.
  * configure*: don't strip -g from CFLAGS
  * debian/rules: removed --enable-gdb, added CFLAGS=-g instead.
  * Install /usr/share/gnome/wm-properties/Afterstep.Desktop in the afterstep
    package. Sorry, it was lost in 1.99.0+2.00.beta1-1.
  * Fix typo in afterstep(1x) man page.

 -- Robert Luberda <robert@debian.org>  Thu, 29 Jan 2004 21:54:40 +0100

afterstep (1.99.0+2.00.beta2-2) experimental; urgency=low

  * Build shared librares with -fPIC (closes: #216838).
  * Merge with afterstep 1.8.11-12:
    + menu-method: make names of generated menu files lowercase.

 -- Robert Luberda <robert@debian.org>  Wed, 19 Nov 2003 19:34:01 +0100

afterstep (1.99.0+2.00.beta2-1) experimental; urgency=low

  * New upstream development version (2.00.beta2).
  * menu-method: set onlyrunasroot, because we don't support user menus
    for now.
  * Update afterstepdoc(1x) man page.
  * Standards-Version: 3.6.1 (no changes).
  * Merge changelog from 1.8.11-11.

 -- Robert Luberda <robert@debian.org>  Tue,  7 Oct 2003 23:21:52 +0200

afterstep (1.99.0+2.00.beta1-2) experimental; urgency=low

  * Rename debian/afterstep.NEWS.Debian to debian/afterstep.NEWS,
    so it actually gets installed into binary package.
  * Fix typo in libafterimage-dev package description.
  * Don't install ascompose man page.

 -- Robert Luberda <robert@debian.org>  Thu, 11 Sep 2003 19:07:03 +0200

afterstep (1.99.0+2.00.beta1-1) experimental; urgency=low

  * New upstream development version (2.00.beta1).
  * Added NEWS.Debian file.

  * Update feel.Debian and look.Debian files.
  * Update various configuration files to use Debian specific programs
    like x-terminal-emulator, x-www-browser and sensible-browser
  * afterstepdoc: make use of sensible-browser.
  * menu-method: use escfirst() function for hotkeys.

  * Build with dynamic libraries support.
  * Change Makefiles to get afterstep's libraries linked with other dynamic
    libraries.
  * configure: run fltk-config with --ldflags instead of --ldstatic-flags

  * Split the package into 4 binary packages (afterstep, libafterstep0,
    libafterimage0, libafterimage-dev.)
  * Update Build-Depends (add: libfltk1.1-dev, libtiff3g-dev,
    libfreetype6-dev; change libpng3-dev to libpng12-dev).
  * Depend on debianutils (>= 2.1) for sensible-browser.
  * Updated config.guess and config.sub files.

  * libafterimage/asimagexml.c: remove unneded #include <varargs.h>.
  * Add lintian override file for `W: afterstep: extra-license-file
    usr/share/afterstep/desktop/icons/normal/License' warning.
  * Don't install broken libafterimage man pages. See their html version
    in /usr/share/doc/libafterimage-dev/html.

 -- Robert Luberda <robert@debian.org>  Wed, 10 Sep 2003 21:17:01 +0200

afterstep (1.8.11-12) unstable; urgency=low

  * menu-method: make names of generated menu files lowercase.

 -- Robert Luberda <robert@debian.org>  Thu, 16 Oct 2003 21:46:57 +0200

afterstep (1.8.11-11) unstable; urgency=low

  * Fix the bug in menuitem.c (at parse_menu_item_name), which caused
    afterstep to freeze or die with segmentation fault when window
    title contained "\t" (closes: #142325).

  * Merge some changes from 1.99.0+2.00.beta2 (in experimental):
    + menu-method: use escfirst() function for hotkeys.
    + menu-method: set onlyrunasroot, because we don't support user menus
      for now.
    + Make afterstepdoc use sensible-browser.
    + Depend on debianutils (>= 2.1) for sensible-browser.
    + Add link to homepage in description.
    + Build-Depend on libpng12-dev instead of libpng3-dev.
    + Standards-Version: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue,  7 Oct 2003 23:10:22 +0200

afterstep (1.8.11-10) unstable; urgency=low

  * /etc/menu-method/afterstep:
    + suffix generated files with entryindex() to make them unique
      (closes: #191272)
    + use $basesection instead of `/../' directories hack
    + remove all files from /var/lib/afterstep/menu in prerun
    + add icons in WindowManagers submenu.
  * debian/control:
    + versioned dependency on menu >= 2.1.8-1, as it is needed
      for the basesection variable
    + Standards-Version: 3.5.9 (no changes).
  * Update config.guess and config.sub files (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 14 May 2003 08:04:15 +0200

afterstep (1.8.11-9) unstable; urgency=low

  * Wrote all missing manpages: ASSound(1x), afterstepdoc(1x),
    makeastheme.pl(1x) and ascommand.pl(1x).
  * debian/README.Debian: update.
  * debian/control: remove ending dot from the first line of package
    description (lintian).
  * debian/copyright: make references to usr/share/common-licenses (lintian).
    and include copy of the LDP license.
  * Standards-Version: 3.5.8

 -- Robert Luberda <robert@debian.org>  Sun, 15 Dec 2002 10:41:28 +0100

afterstep (1.8.11-8) unstable; urgency=low

  * src/Wharf/Wharf.h: changed declaration of field depth in struct icon_info
    from `char' to `signed char'. This should fix the `comparison is always
    false' warning on arm (closes: #162131)
  * Add missig '#include <string.h>' to some source files to fix all others
    gcc warnings on arm.

 -- Robert Luberda <robert@debian.org>  Sun, 29 Sep 2002 14:45:46 +0200

afterstep (1.8.11-7) unstable; urgency=low

  * functions.c: Reverted my previous patch and applied patch from the bug
    report (closes: #150122). I was reported some time ago that my patch
    was incorrect. Sorry, I've lost the mail, but probably it was Tom Hudec,
    the submitter of the bug, who brought my attention to this. Thanks!
  * Corrected the look.Frames file (closes: #160590).
  * Woody was released, remove the /usr/X11R6/bin/afterstep compatibility link.
  * Build with debhelper v4.
  * Upgrade Standards-Version to 3.5.7:
    + support for DEB_BUILD_OPTIONS=noopt instead of debug.
    + don't create /usr/doc symlinks.
  * Build-Depends: libpng2-dev --> libpng3-dev.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Sep 2002 23:08:18 +0200

afterstep (1.8.11-6) unstable; urgency=low

  * debian/rules: configure with --enable-xinerama.
  * functions.c: When xinerama is enabled the Maximize function should now
    work correctly (see Bug#150122). I don't close the bug yet, because
    I don't have two monitors and I can't do proper tests of the fix :(.

 -- Robert Luberda <robert@debian.org>  Tue,  2 Jul 2002 23:55:59 +0200

afterstep (1.8.11-5woody1) testing; urgency=low

  * Upload file overlapping fix from 1.8.11-5 to woody.

 -- Robert Luberda <robert@debian.org>  Tue,  2 Jul 2002 21:35:52 +0200

afterstep (1.8.11-5) unstable; urgency=low

  * Install Save module as ASSave to fix file conflict with
    the atfs package (closes: #147752).

 -- Robert Luberda <robert@debian.org>  Wed,  5 Jun 2002 08:12:15 +0200

afterstep (1.8.11-4) unstable; urgency=low

  * Really added build-dependency on librplay3-dev, not on librplay3.
  * Made build-dependency on zlib1g versioned.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Apr 2002 19:38:17 +0200

afterstep (1.8.11-3) unstable; urgency=medium

  * Added build-dependency on librplay3-dev to get all archs have the same
    dependencies.
  * afterstep/audio.in: for compatibility with pre-1.8.11-1 versions, which
    were compiled without librplay, set AudioPlayCmd to `builtin-cat'.
  * Minor various fixes in afterstep configuration files.
  * feel.Debian: s/CirculateWindowUp/ChangeWindowUp/.
  * debian/rules: configure with --disable-fixeditems because this feature
    caused afterstep to segfault when sb tried to used it.
  * Upload with urgency=medium as I'd like to see this version in woody before
    release.

 -- Robert Luberda <robert@debian.org>  Tue, 23 Apr 2002 08:23:20 +0200

afterstep (1.8.11-2) unstable; urgency=low

  * Moved some afterstep modules' initialization files to /etc/X11/afterstep
    and made symlinks to them from /usr/share/afterstep.
  * Made the package compilant with the newest Debian policy (3.5.6):
    + move binaries to /usr/bin, but install compatibility link for afterstep
      in /usr/X11R6/bin.
    + added suport for DEB_BUILD_OPTIONS=debug,nostrip.
    + remove generated menu structure when package is removed.
    + upgrade Standards-Version field.
  * Improved afterstep's menu-method:
    + changed rootprefix to /var/lib/afterstep/menu.
    + should now correctly handle menu items which contains slashes.
    + search for icons in /usr/X11R6/include/X11/{pixmaps,bitmaps}.
  * Always call x-terminal-emulator instead of xterm.
  * Add xterminal entry to main menu.

 -- Robert Luberda <robert@debian.org>  Fri, 19 Apr 2002 01:40:43 +0200

afterstep (1.8.11-1) unstable; urgency=low

  * New maintainer (closes: #142250).
  * New upstream version (closes: #136867).
  * Removed unnecessary docs from /usr/share/doc/afterstep and moved *.html
    files into FAQ subdirectory.
  * Added a doc-base file for AfterStep FAQ.
  * Moved afterstepdoc from examples into bin as it's referenced by menu.
  * s;/usr/local/share/afterstep;/usr/share/afterstep;g in manpages.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Apr 2002 23:15:01 +0200

afterstep (1.8.10-2) unstable; urgency=low

  * Add alt-shift-tab to map to WarpBack
  * Remove mappings for Meta keys (Closes: #127523)
  * Remove netscape from default wharf menu (Closes: #123940)

 -- Jonathon D Nelson <jnelson@boa.org>  Wed,  2 Jan 2002 19:04:10 -0600

afterstep (1.8.10-1) unstable; urgency=low

  * New upstream version (Closes: #118568)
  * Fix segfault when trying to run a module when the module doesn't exist.
  * Mark some files in /usr/share/afterstep as config files
  * Patched installtheme.pl from
    http://www.crystaltokyo.com/%7eallanon/installastheme.txt
  * Leave ascommand.pl,installastheme.pl,makeastheme.pl in /usr/X11R6/bin

 -- Jonathon D Nelson <jnelson@boa.org>  Thu,  4 Oct 2001 20:15:21 -0500

afterstep (1.8.8-7) unstable; urgency=low

  * Install libjpeg62-dev and libpng2-dev on local system, and rebuild
    (Closes: #92538)
  * remove usr/share/doc/afterstep/INSTALL.gz
    (remove lintian warning)
  * alter depends (remove lintian warning)

 -- Jonathon D Nelson <jnelson@boa.org>  Wed, 28 Feb 2001 18:25:26 -0600

afterstep (1.8.8-6) unstable; urgency=low

  * Compiled under XFree86 v4.x and xlibs
  * Changed needs=X11 to needs=wm in menu file (Closes: #86953)

 -- Jonathon D Nelson <jnelson@boa.org>  Thu, 22 Feb 2001 12:40:38 -0600

afterstep (1.8.8-5) unstable; urgency=low

  * no longer depends on autoconf to build. (Closes: #84653)

 -- Jonathon D Nelson <jnelson@boa.org>  Fri,  2 Feb 2001 21:24:03 -0600

afterstep (1.8.8-4) unstable; urgency=low

  * Move modules out of /usr/lib/afterstep and into /usr/X11R6/bin
    where they belong. My fault, blame me. Decision made after
    online discussion with upstream source maintainers!
  * Move afterstepdoc,ascommand.pl,importasmenu,installastheme.pl
    and makeastheme.pl into /usr/share/doc/afterstep/examples
    (Just for now until I can figure out what to do with them)
  * Mark ASSound as undocumented
  * Use DH_COMPAT=2
  * As told by Gregory T. Norris <adric@debian.org>, this version
    of AfterStep works with XFree 4.x.  (Closes: #77407)

 -- Jonathon D Nelson <jnelson@boa.org>  Sun, 28 Jan 2001 17:29:46 -0600

afterstep (1.8.8-3) unstable; urgency=low

  * Altered ordering of Build-Depends such that xlibs-dev is before
    xpm4g-dev (related to bug #83839)
  * Additional changes to toplevel Makefile.in to support
    placing the AfterStep.desktop file in /usr/share/gnome/wm-properties
    Patch by Gregory T. Norris <adric@debian.org>
    (Closes: #83086)

 -- Jonathon D Nelson <jnelson@boa.org>  Sun, 28 Jan 2001 14:39:15 -0600

afterstep (1.8.8-2) unstable; urgency=low

  * Don't use tmpnam in configure.c, use tmpfile(3)
  * AfterStep is in /usr/X11R6/bin not /usr/bin
    Fixed menu entry. (Closes: #83863)
  * Build-Depends on xpm4g-dev | xlibs-dev to satisfy build dependencies
    in either 'testing' or 'unstable' (as of 28 Jan 2001)
    Suggestion by Marcelo E. Magallon <mmagallo@debian.org> (Thanks!)
    (Closes: #83839)
  * Remove 'NoTitle' and 'nohandles' from Xconsole/xconsole database entries
    (Closes: #69298)
  * Upstream version binary and transparency 'look'
    solve strance transparency problem, (Closes: #71599)
  * Remove wharf's use of asclock-gtk.  Change entry to aslock
    and then comment out.
  * Actually close bugs not closed by last upload due
    to improper 'Close' formatting.  Bugs *were* closed in -1.
    (Closes: #60362, #38981, #40083)

 -- Jonathon D Nelson <jnelson@boa.org>  Sat, 27 Jan 2001 11:54:51 -0600

afterstep (1.8.8-1) unstable; urgency=low

  * new maintainer (me)
  * new upstream version
  * ditched (unused) preinst and postrm
  * ditched (unused) postinst and prerm
  * fix afterstep's hotkey logic
  * make sure 'make distclean' removes some files created during configure
  * Wharf uses pager internally, and we ship slightly altered
    default pager settings.  (Closes: #69297)
  * Merges changes from 'tater (Closes: #75330, #76598)
  * Provides window-manager and uses dh_installwm (Closes: #78377, #53689)
  * Should not overwrite any files (new upstream), (Closes #60362)
  * Now includes build-depends (Closes: #70070, #70186)
  * Now displays the Debian menu again (Closes: #79616)
  * Popup windows no longer appear in background (Closes: #22904)
  * Dependency on asclock removed (Closes: #36043)
  * compiled with --enable-i18n (Closes: #38154)
  * Uses newer menu method (Closes: #79616, #40075, #39716)
  * Installs in FHS standard directories: (Closes #38981, #40083)
  * xterm button works (Closes: #58261)

 -- Jonathon D Nelson <jnelson@boa.org>  Fri, 26 Jan 2001 22:01:11 -0600

afterstep (1.8.6-1) unstable; urgency=low

  * new upstream version

 -- Jonathon D Nelson <jnelson@boa.org>  Sun, 10 Dec 2000 21:55:42 -0600

afterstep (1.8.3-1) unstable; urgency=low

  * Initial Release.

 -- Steven R. Baker <srbaker@debian.org>  Sun, 13 Aug 2000 18:58:30 -0400

afterstep (1.6.10-1.2) frozen unstable; urgency=low

  * Non-maintainer upload
  * oops, I forgot to include the fix for this #58261,
    This version do fix really. Closes: #58261

 -- Taketoshi Sano <sano@debian.org>  Mon, 13 Mar 2000 10:54:51 +0900

afterstep (1.6.10-1.1) frozen unstable; urgency=low

  * Non-maintainer upload
  * Replace the obsoleted command "register-window-manager"
    with the new method using "update-alternatives" in
    the maintainer scripts. This is absolutely required for potato,
    because potato's xfree86-common no longer supports this obsolete
    command. Closes: #53689
  * Fix the bug "can not start xterm". Thanks to Cormac McGuinness
    for his report and the solution. Closes: #58261
  * The current version no longer conflicts with asclock, and
    the current potato system can have both of afterstep and wmaker
    without difficulties. Closes: #36043
  * The previous version (1.6.10-1) already used "--enable-i18n"
    option for the ./configure command in debian/rules. Closes: #38154
  * I can't reproduce this bug. I think the current version already
    fixes this bug at the upstream level. Closes: #22904
  * Fix debian/menu-methods to enable restart the other window manager.
  * Use /usr/share/doc/afterstep with the link to /usr/doc/afterstep.
  * Replace ${DATADIR}/afterstep/start/Modules/Scripts/2_desksetup
    with 2_pointersetup, because scripts/DeskSetup does not work, and
    do harm on asclassic's configuration file (~/.steprc).
    The newer version of afterstep will use the new control panel (ASCP)
    tool, and this scripts/DeskSetup is obsoleted anyway.

 -- Taketoshi Sano <sano@debian.org>  Tue,  7 Mar 2000 03:03:24 +0900

afterstep (1.6.10-1) unstable; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 14 Feb 1999 15:58:01 -0600

afterstep (1.6.6-2) unstable; urgency=low

  * Fix debian/fix_feels and rules (#31698)
  * Use new debhelper scripts (#32150)
  * Uses personal menus if found (#21148)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 11 Jan 1999 10:16:12 -0600

afterstep (1.6.6-1) unstable; urgency=low

  * New upstream source (#31102).
  * Also fix (#31470) blue <-> bleu misspelling
  * Now recommends menu (#31420)
  * 'as' apps no longer included (#26636, #20208, #19855, #22080, #25851,
    #22421#24757)
  * Registers with menu system and /etc/X11/window-managers (#25538, #22687,
    #24844)
  * Meta-Q is not used in the default 'feel' files (#22415)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon,  4 Jan 1999 02:14:31 -0600

afterstep (1.6.0-4) unstable; urgency=low

  * Fixes some minor nits -- hopefully this cures mysterious hanging.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 27 Dec 1998 10:36:04 -0600

afterstep (1.6.0-3) unstable; urgency=low

  * Fixed Forms ScreenDump and WindowDump
  * Fixed "Restart" function in source
  * Fixed the postinst and postrm files so debhelper stuff works
  * Afterstep should now be in the WindowManagers menu
  * Now built with --enable-gdb for debugging symbols
  * Also changed the feel.Debian file so icons don't move all over
  * Changed xconsole in database to allow title

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 21 Dec 1998 17:41:22 -0600

afterstep (1.6.0-2) frozen unstable; urgency=low

  * Fixes spaces-in-menu problem (thanks Stony)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 13 Dec 1998 20:29:53 -0600

afterstep (1.6.0-1) unstable; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 11 Dec 1998 04:38:50 -0600

afterstep (1.4.5.55N6-1) unstable; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 4 Nov 1998 01:31:57 -0500

afterstep (1.4.5.3-1) unstable frozen; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 19 Apr 1998 11:31:57 -0500

afterstep (1.4.4-2) unstable; urgency=low

  * Repair some minor trouble with the look and feel files

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Thu, 9 Apr 1998 02:07:17 -0500

afterstep (1.4.4-1) unstable; urgency=low

  * New upstream version
  * xiterm is no longer packaged with afterstep (#20519)
  * asclock is not longer packaged with afterstep (#20540)
  * Wharf should behave better (#20497)
  * afterstep copies /usr/share/GNUstep to ~ if it does not
    aleady exist (#20627, #20195)
  * Removed asmix and asprint, used undocumented for asload (#19854)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 6 Apr 1998 15:05:43 -0500

afterstep (1.4-7) unstable; urgency=low

  * Removed references to asmail and asmodem
  * Tried new approach towards AfterStep local directory creation (#20195)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Thu, 2 Apr 1998 22:58:23 -0600

afterstep (1.4-6) unstable; urgency=low

  * Changed the way build takes place
  * Removed asmail and asmodem (#18819, #18820)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 11 Mar 1998 22:11:50 -0600

afterstep (1.4-5) unstable; urgency=low

  * Fixed postinst to check for version < 1.4 (#19230)
  * Removed conflict for asmixer.  This package provides asmix, not asmixer
    (#19233)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon,  9 Mar 1998 21:09:04 -0600

afterstep (1.4-4) unstable; urgency=low

  * Fixed problem of configure requiring user intervention (#19201)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon,  9 Mar 1998 09:14:45 -0600

afterstep (1.4-3) unstable; urgency=low

  * Fixed /usr/tmp problem in asfsm (Thanks Olivier Abad!) (#19113, #19063)
  * Removed some AfterStep default menu items from the default menu (#18852)
  * Fixed the problem of the Debian menu not appearing (#18852)
  * Incorporated Christian Meder's Alpha patch <meder@isr.uni-stuttgart.de>
    (#18831)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sat, 7 Mar 1998 15:09:13 -0600

afterstep (1.4-2) unstable; urgency=low

  * Added Conflicts/Replaces for ascd, asmodem, asmail, asmixer (#18725, #19018,
    #18735)
  * Added feel.Debian.old to feels to mimic AfterStep 1.0 behavior
  * Added look.Debian.old to looks to mimic AfterStep 1.0 look
  * Added update notice to postinst
  * Made the default scheme more like 1.0
  * Removed COPYING, COPYING.LIB, and LDP from /usr/doc/afterstep (#18757)
  * Fixed problem of asload being put in /bin (#18732)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 2 Mar 1998 12:24:08 -0600

afterstep (1.4-1) unstable; urgency=low

  * First Official Version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sat, 28 Feb 1998 11:52:48 -0600

afterstep (1.4-0.4) unstable; urgency=low

  * Added Quit options to menu
  * Got Form module working.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 22 Feb 1998 15:57:00 -0600

afterstep (1.4-0.3) unstable; urgency=low

  * Updated maximum menu entries to 200 from 50
  * Updated various Debian related docs

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 20 Feb 1998 18:18:48 -0600

afterstep (1.4-0.2) unstable; urgency=low

  * Many fixes.  It appears to work now.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 20 Feb 1998 05:13:04 -0600

afterstep (1.4-0.1) unstable; urgency=low

  * New upstream version.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 18 Feb 1998 11:23:04 -0600

afterstep (1.0-5.2) unstable; urgency=low

  * Non-maintainer release
  * Changed Afterstep homepage in README.debian (again)
  * Rebuilt with debmake 3.5.8 to fix md5sums

 -- Joel Rosdahl <joel@debian.org>  Wed, 28 Jan 1998 00:56:47 +0100

afterstep (1.0-5.1) unstable; urgency=low

  * Non-maintainer release
  * Recompiled to finally get rid of libc5 relations (bugs #11952, #12707,
    #12776, #12941)
  * Package remade, so critical bug #12831 and wishlist item #14407 are fixed
  * chmod a+x /etc/menu-methods/afterstep (bug #15395)
  * CHANGES.gz -> changelog.gz (bug #14611)
  * /usr/bin/X11 -> /usr/X11R6/bin (bug #13511)
  * /tmp/steprcXXXXX -> /tmp/steprcXXXXXX so that mktemp(3) works (bugs #12115,
    #13480, #14685)
  * Fixed Afterstep homepage in README.debian

 -- Joel Rosdahl <joel@debian.org>  Sun, 11 Jan 1998 00:35:00 +0100

afterstep (1.0-5) unstable; urgency=low

  * Rebuilt to fix problem with .diff file in source archive.
    (Fixes Bug#11264)
  * Built against libc6.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Fri, 25 Jul 1997 11:29:26 -0400

afterstep (1.0-4) unstable; urgency=low

  * Changed debian/rules so that it uses altgcc and the package will
    not require the libc6 ld-linux.so.2 simply because it was built
    on a system with libc6.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 27 May 1997 20:45:54 -0400

afterstep (1.0-3) unstable; urgency=low

  * Added patch to asclock to work with the WindowMaker Dock. (shouldn't
    matter for most people)
  * Removed line hotkeycase="insensitive" from menu-method which I'm told
    will cause problems with menu-1.4

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sun, 18 May 1997 09:32:18 -0400

afterstep (1.0-2) unstable; urgency=low

  * Updated the afterstep menu-method:
     - Conforms with "menu-1"
     - Added titles for all menus.
     - Added hotkeys for all menu items.
     - Added an "Exit" submenu in the main menu.
  * Modified system.steprc:
     - ALT-F1 behaves the same as mouse button 1 on root window (brings
       up /Debian menu rather than upstream HotList menu). (Fixes Bug#9877)
     - Have Debian menus included after upstream menus so that the former
       can reference the later.  (for the "Exit" menu)
     - Commented out xsetroot in initialization so that users can change
       their background in .xsession or wherever and not have it clobbered.
     - Added some comments to explain Debian-specific changes

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sat, 17 May 1997 14:20:17 -0400

afterstep (1.0-1) frozen unstable; urgency=medium

  * New upstream version.  Upstream changelog:
       Final
       -Updated version.h to 1.0! (finally!)
       -Standardized the cursor selection

 -- Neil A. Rubin <nar5@po.cwru.edu>  Mon, 5 May 1997 15:29:54 -0400

afterstep (0.99pre7-1) unstable; urgency=low

  * Updated README.debian to reflect recent changes in the package.
  * New upstream version. (1.0pre7) Upstream changelog:
       PRE7
       -Fixed AnimateTwist bug
       -Fixed windowlist hotkey bug
       -Fixed problematic mousebindings
       -Fixed iconized bug
       -No longer eats up all cpu in a select loop if there are
        more FD than FD_SETSIZE

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sun, 27 Apr 1997 13:47:50 -0400

afterstep (0.99pre6-2) frozen unstable; urgency=medium

  * Changed MAXPOPUPS in afterstep/menus.h to increase the maximum allowed
    number of popup menus from 50 to 200.  This should hopefully be enough
    to support the Debian menu system for some time, but unfortunately
    costs us 6000 bytes in added array size. (Fixes Bug #9027)

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sat, 26 Apr 1997 12:49:14 -0400

afterstep (0.99pre6-1) frozen unstable; urgency=medium

  * Rewrote package description.
  * Added code to postinst to detect old /etc/X11/afterstep/system.steprc-menu.
    If it has a different md5sum than the version distributed with version
    .99pre4-1, the administrator is informed.  Otherwise, the old file is
    simply removed.
  * Added AfterStep modules to menu system as "type" asmodule.  Removed
    icon from AfterStep menu entry. (Fixes Bug #7942)
  * Enabled m4 support and changed system.steprc to use an m4 "include"
    for Debian menus.  Added dependancy on m4 package.
  * Modified afterstep.1 manpage to reflect actual file locations and
    compile-time options for Debian Package.
  * New upstream version. (1.0pre6) Upstream changelog:
       PRE6
       -Fixed Solaris WharfAnimateMain crashing bug
       -Top pixel line of the titlebar now acts as it should
       -NoFocus really works correctly in ClickToFocus mode
       -Icons are now dynamically updated
       -Animate's usleep() has been replaced with libafterstep's
        sleep_a_little() for portability
       -Wharf pixmaps no longer require a transparent pixel
       -Minor animate type cleanup
       -Replaced PI in Animate with AS_PI to ease the pain
       -Added new and final (?) afterstep manpage
       -Majorly updated FAQ
       -Included a guide to the module interface
       PRE5
       -Added a fix for menus with different fonts
       -Changing geometry information now given in the center
       -Added Animate module and AfterStep lockability
       -Shaded windows should update visibility properly now
       -Worked around locking problems related to NumLock
       -RaiseLower now works as expected on maximized windows

 -- Neil A. Rubin <nar5@po.cwru.edu>  Wed, 26 Mar 1997 23:32:24 -0500

afterstep (0.99pre4-1) unstable; urgency=low

  * New upstream version. (1.0pre4)  Upstream changelog:
       PRE4
       -Shade code modified and hopefully fixed
       -Added shade animation
       -Changed color allocation code for gradients so that the
        resource leak bug(?) is hopefully fixed (no more slowdowns)
       -Added Wharf Swallow-Exec
       -Due to overwhelming demand, included penguin.xpm
       PRE3
       -Added ClickToRaise focus mode
       -Eliminated problem with iconified windows being
        deiconified on a different virtual desktop
       -Overlapping StaysOnTop windows no longer change the
        window order
       -Added flag to ClickToFocus to "catch" the raising
        mouse click
       -Changed order of ASWindow list to be top-down
       -CirculateUp and CirculateDown now work correctly
       -Updated manpage to reflect the recent changes
       -The window placement box now accurately represents the
        window it is placing
       -Installme now appends a before.`date +%H%M%S` to files
        that it replaces
  * Added support for the Debian menu-package system.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Thu, 6 Mar 1997 23:45:53 -0500

afterstep (0.99pre2-1) unstable; urgency=low

  * Essentially re-"Debianized" afterstep from scratch using deb-make
    and complying with the new packaging standards.
  * Added backgrounds and sounds from upstream package to Debian binary
    package.
  * /usr/X11R6/bin/afterstep is now added to /etc/X11/window-managers
    courtesy of debmstd.
  * Made some changes to the standard system.steprc to make things work
    a little more smoothly out of the box.
  * Changed things so that the binaries look for system.steprc in
    /etc/X11/afterstep/system.steprc and removed link from
    /usr/X11R6/lib/X11/afterstep/system.steprc.
  * New upstream version.  This is really the upstream version 1.0pre2, but
    that version number would make it a later version than 1.0 by the Debian
    convention.  Many massive improvments including bugfixes, new Wharf
    functionality, and improved and more flexible visual appearance. See
    the upstream CHANGES file for more information.
  * Other miscellaneous changes.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 19 Nov 1996 23:53:34 -0500

afterstep (0.98a18-1) unstable; urgency=low

  * New upstream version.  New version of asclock defaults to English and
    cleans the build process a little.  Note that no Debian version of 0.98a17
    was produced due to known bugs.  To quote the CHANGES file:
     BETA18
     -Restart code modified to hopefully fix linux problems
     -Miscellaneous code cleanup
     BETA17
     -Shade Restart bug is fixed
     -Maximize function no longer erases the bottom handles
     -asclock 7 defaults to English
  * Changed Debian Linux to Debian GNU/Linux everywhere...hopefully for good.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sun, 28 Jul 1996 01:25:08 -0500

afterstep (0.98a16-2) unstable; urgency=low

  * Fixed permissions for /usr/doc/afterstep/asclock.README.gz.  (Bug #3501)

 -- Neil A. Rubin <nar5@po.cwru.edu>  Wed,  3 Jul 1996 14:41:37 -0500

afterstep (0.98a16-1) unstable; urgency=low

  * New upstream version. To quote the CHANGES file:
     -Updated asclock -- I really mean it this time! :)
     -Shade function now works exactly as it should
  * Added asclock to binary package since this upstream version contains the
    source.
  * Changed debian.rules, particularly the "clean" target, to make things a
    little neater.
  * Added copyright from afterstep manpages and copyright for asclock to
    debian.README.  Updated upstream package author's e-mail address.
  * Removed INSTALL.gz from /usr/doc/afterstep, as it isn't useful if you
    installed the binary package.  Moved /usr/doc/afterstep/asclock/README.gz
    to /usr/doc/afterstep/asclock.README.gz

 -- Neil A. Rubin <nar5@po.cwru.edu>  Sat, 22 Jun 1996 23:58:09 -0500

afterstep (0.98a15-1) unstable; urgency=low

  * Added Debian control files.
  * Initial release.

 -- Neil A. Rubin <nar5@po.cwru.edu>  Tue, 18 Jun 1996 20:10:50 -0500
